summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:43:10 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:43:10 -0400
commit169410a4930994866093315eb9c78fa10834978e (patch)
treeb492ccb0d43614e8801ab823a5c12b4b0cc5184b
parentf4de59375195ceaa503917026b4f002e81a9bb4b (diff)
downloadslackbuilds-169410a4930994866093315eb9c78fa10834978e.tar.gz
slackbuilds-169410a4930994866093315eb9c78fa10834978e.tar.xz
network/fping: Fixed for bash4.
-rw-r--r--network/fping/fping.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/network/fping/fping.SlackBuild b/network/fping/fping.SlackBuild
index 5ee010c831..0df935f295 100644
--- a/network/fping/fping.SlackBuild
+++ b/network/fping/fping.SlackBuild
@@ -68,12 +68,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;